classification
Title: Remember python version choice on docs.python.org
Type: enhancement Stage: resolved
Components: Documentation Versions:
process
Status: closed Resolution: works for me
Dependencies: Superseder:
Assigned To: docs@python Nosy List: chris.jerdonek, docs@python, ezio.melotti, georg.brandl, terry.reedy, wichert
Priority: normal Keywords:

Created on 2012-10-29 10:16 by wichert, last changed 2012-11-03 02:42 by ezio.melotti. This issue is now closed.

Messages (5)
msg174106 - (view) Author: Wichert Akkerman (wichert) Date: 2012-10-29 10:16
docs.python.org was recently change to redirect http://docs.python.org/ to http://docs.python.org/3/ , with an option to switch to documentation for a different version using both (why two ways?) a dropdown and links in the left column. Would it be possible to remember the selection and honour that in the docs.python.org redirect? That would remove the minor annoyance of always ending up at the Python 3 documentation and having to switch back to 2.7.
msg174136 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2012-10-29 17:42
If you always want to end up on Python 2 docs, why don't you go to docs.python.org/2 in the first place?
msg174150 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-10-29 20:38
Or set a bookmark. :)
msg174589 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2012-11-02 21:43
It may be possible, but will not happen. A modern browser should displays your personal history options as you type. If I type 'docs' in Firefox, it gives me choices for the rest of the url, though there are a lot of obsolete entries to delete. Typing and selecting /2/ and /3/ enough will keep them at the top of the list.
msg174600 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-11-03 02:42
Maybe the OP wanted to get redirected when he reaches a doc page through e.g. Google or a direct link, rather than a bookmark/history/manually-entered URL.  I usually get to the docs via Google, and either pick whatever version comes up, or edit the URL manually.  That might get in the way when users open a link for a specific version and get redirected, so it's not a really good idea.

> If I type 'docs' in Firefox, it gives me choices for the rest of the url

You could even set keywords like 'pydoc' and 'py2doc' without relying on the history, and optionally they could supporting a search term too.

> That would remove the minor annoyance of always ending up at the
> Python 3 documentation and having to switch back to 2.7.

Or you could remove the annoyance by switching your code forward to Python 3 <wink>.
History
Date User Action Args
2012-11-03 02:42:50ezio.melottisetmessages: + msg174600
stage: resolved
2012-11-02 21:43:37terry.reedysetstatus: open -> closed
2012-11-02 21:43:25terry.reedysetstatus: pending -> open
nosy: + terry.reedy
messages: + msg174589

2012-11-02 19:12:52georg.brandlsetstatus: open -> pending
resolution: works for me
2012-11-02 19:00:43ezio.melottisetnosy: + ezio.melotti
type: enhancement
2012-10-29 20:38:52chris.jerdoneksetnosy: + chris.jerdonek
messages: + msg174150
2012-10-29 17:42:50georg.brandlsetnosy: + georg.brandl
messages: + msg174136
2012-10-29 10:16:06wichertcreate